import http from '@/service'

export function getListApi(params: any) {
  return http.get(`/admin/wmtask/getWmTaskList`, { params })
}

export function approvalTaskApi(data: any) {
  return http.post(`/admin/wmtask/approvalTask`, data)
}

export function getTaskListPageApi(params: any) {
  return http.get(`/admin/wmreport/getTaskListPage`, { params })
}

// 审批
export function approvalReportApi(params: any) {
  return http.get(`/admin/wmreport/approvalReport`, { params })
}

// 批量审核
export function batchApprovalTaskApi(data: any) {
  return http.post(`/admin/wmtask/batch-approval-task`, data)
}

// 报告批量审核
export function reportBatchApprovalTaskApi(data: any) {
  return http.post(`/admin/wmreport/batch-approval-task`, data)
}
